/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

:root {
	--green: #0b6621;
	--green80: rgb(11,102,33,0.8);
	--gold: #E4C372;
	--gold10: rgba(228, 195, 114, 0.1);
	--gold50: rgba(228, 195, 114, 0.5);
	--gold80: rgba(228, 195, 114, 0.8);
}

/* HEADER */
.popup-main-menu .elementor-item-active {
	position: relative!important;
	padding-left: 20px!important;
}
.popup-main-menu .elementor-item-active::after {
    content: ""!important;
    position: absolute!important;
    top: 11px !important;
    left: -4px !important;
    width: 20px!important;
    height: 20px!important;
    display: inline-block!important;
    background: url("https://demokratskihss.hr/wp-content/uploads/2025/10/dhss-icon.svg") no-repeat center!important;
    background-size: contain!important;
}
#main-menu .elementor-item-active {
	position: relative;
}
#main-menu .elementor-item-active::after {
    content: "";
    position: absolute;
    top: 0px;
    left: -20px;
    width: 20px;
    height: 20px;
    display: inline-block;
    background: url("https://demokratskihss.hr/wp-content/uploads/2025/10/dhss-icon.svg") no-repeat center;
    background-size: contain;
}
/* #main-menu .elementor-item-active::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 20px;
    height: 20px;
    background: url("https://demokratskihss.hr/wp-content/uploads/2025/10/dhss-icon.svg") no-repeat center;
    background-size: contain;
    pointer-events: none; 
}
*/

/* NASLOVNICA */
.kategorija-novosti,
.kategorija-dogadaji {
    background: #dab865;
    color: #fff;
    padding: 10px;
    font-weight: 500;
	font-size: 12px;
	border-radius: 5px 5px 5px 5px;
    font-family: 'Montserrat';
    text-transform: uppercase;
}
.kategorija-dogadaji {
    background: var(--green);
}
.post-item .featured-img {
	transform: scale(1);
	transition: .4s all;
}
.post-item:hover .featured-img {
	transform: scale(1.05);
	opacity: 1;
}
.post-item .post-content {
	background-color: #fff;
	transition: .4s all;
}
.post-item:hover .post-content {
	background-color: var(--gold50);
}
.message-list li {
    padding: 5px !important;
    background-color: transparent;
	transition: .5s all;
}
.message-list li:hover {
    background-color: var(--gold10);
}


/* Kontakt */
.contact-text a {
	color: #333333;
}
.contact-text a:hover {
	text-decoration: underline;
}
.forminator-textarea {
  border: none !important;
  border-bottom: 1px solid #bcbcbc !important;
  border-radius: 0 !important;
  box-shadow: none !important;
  outline: none !important;
  background-color: transparent !important;
}
input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
  border: 1px solid #bcbcbc;
}
.forminator-ui.forminator-custom-form[data-design=material] .forminator-textarea--wrap:after {
  display: none!important;
}
.forminator-ui.forminator-design--material .forminator-consent input:checked + .forminator-checkbox-box {
    border-color: #5d82c9!important;
}
.forminator-ui.forminator-custom-form[data-design=material] .forminator-checkbox .forminator-checkbox-box:before {
    color: #5d82c9!important;
}

/* .forminator-ui.forminator-custom-form[data-design=material] .forminator-is_hover .forminator-textarea--wrap:after {
  display: block!important;
} */

.forminator-field-textarea .forminator-is_active .forminator-error-message {
  transition: .2s all;
  bottom: 20px;
  position: relative;
}
.forminator-button-submit {
  font-size: 16px !important;
  background: var(--green) !important;
  color: #ffffff;
  border: 1px solid var(--green) !important;
  border-radius: 6px !important;
}
.forminator-button-submit:hover,
.forminator-button-submit:focus
 {
  background: var(--green80)!important;
  color: #fff;
}
.forminator-ui a {
	color: var(--green);
}
.forminator-ui a:hover {
	text-decoration: underline;
}
.forminator-row-last {
  margin-top: 30px!important;
}

/* HIDE EDIT FORM IN FRONTEND */
.forminator-module-edit-link{
    display: none !important;
}

/* SINGLE OBJAVA */
.povezane-objave article {
    align-items: center!important;
}

/* FOOTER */
#footer-main a:hover {
	text-decoration: underline;
	text-underline-offset: 2px;
}


/* RESPONSIVE */
@media (max-width: 767px){
	.hero-text strong {
		font-size: 22px !important;
		padding-left: 5px !important;
		padding-right: 5px !important;
	}
}